Draft Ellipse/pl: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "Skróty klawiaturowe jednoznakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyś...")
Line 42: Line 42:
==Opcje==
==Opcje==


Skróty klawiaturowe jednoznakowe dostępne w panelu zadań można zmienić. Zobacz stronę [[Draft_Preferences/pl|Preferencji]]. Skróty wymienione tutaj są skrótami domyślnymi.
The single character keyboard shortcuts available in the task panel can be changed. See [[Draft_Preferences|Draft Preferences]]. The shortcuts mentioned here are the default shortcuts.


* To manually enter coordinates enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.
* To manually enter coordinates enter the X, Y and Z component, and press {{KEY|Enter}} after each. Or you can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] Enter point}} button when you have the desired values. It is advisable to move the pointer out of the [[3D_view|3D view]] before entering coordinates.

Revision as of 19:01, 8 July 2021

Draft: Elipsa

Lokalizacja w menu
Kreślenie → Elipsa
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
E L
Wprowadzono w wersji
0.7
Zobacz także
brak

Opis

Polecenie Elipsa tworzy elipsę w bieżącej płaszczyźnie roboczej z dwóch punktów definiujących prostokąt, w którym zmieści się elipsa.

Rysunek elipsy można przekształcić w łuk eliptyczny, ustawiając jego właściwości DANEKąt Pierwszy i DANEKąt Ostatni na odmienne wartości.

Elipsa zdefiniowana przez narożniki prostokąta

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Elipsa.
    • Wybierz z menu opcję Kreślenie → Elipsa.
    • Użyj skrótu klawiaturowego: E, a następnie L.
  2. Otworzy się panel zadań Elipsa. Zobacz Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk . Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Wprowadź punkt. Ten punkt nie może być związany z osią X, Y lub Z.

Opcje

Skróty klawiaturowe jednoznakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created ellipse will have DANEMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating ellipses.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Ellipse can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Ellipse instead of a Draft Ellipse. See Draft Preferences.

Properties

See also: Property editor.

A Draft Ellipse object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DANEArea (Area): (read-only) specifies the area of the face of the ellipse. The value will be 0.0 if DANEMake Face if false or the face cannot be created.
  • DANEFirst Angle (Angle): specifies the angle of the first point of the ellipse, normally .
  • DANELast Angle (Angle): specifies the angle of the last point of the ellipse, normally .
  • DANEMajor Radius (Length): specifies the major radius of the ellipse.
  • DANEMake Face (Bool): specifies if the ellipse makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the shape is a full ellipse.
  • DANEMinor Radius (Length): specifies the minor radius of the ellipse.

View

Draft

  • WIDOKPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the ellipse. This property only works if DANEMake Face is true and if WIDOKDisplay Mode is Flat Lines.
  • WIDOKPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Ellipse use the make_ellipse method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeEllipse method.

ellipse = make_ellipse(majradius, minradius, placement=None, face=True, support=None)
  • Creates an ellipse object with given major (majradius) and minor (minradius) radius in millimeters.
    • The bigger value will be used for the major radius (X axis) if no other placement is given.
  • If placement is None the ellipse is created at the origin.
  • If face is True, the ellipse will make a face, that is, it will appear filled.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

ellipse1 = Draft.make_ellipse(3000, 200)
ellipse2 = Draft.make_ellipse(700, 1000)

zaxis = App.Vector(0, 0, 1)
p3 = App.Vector(1000, 1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 90))

ellipse3 = Draft.make_ellipse(700, 1000, placement=place3)

doc.recompute()